Bug 504644 - Can't log in because Xorg loses the keyboard layout
Can't log in because Xorg loses the keyboard layout
Status: CLOSED DUPLICATE of bug 537478
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-08 12:22 EDT by Jay Fenlason
Modified: 2014-08-31 19:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 10:27:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Fenlason 2009-06-08 12:22:47 EDT
Description of problem:
I can't type my password because Xorg failed to maintain the keyboard layout from the installer

Version-Release number of selected component (if applicable):
xorg-x11-server-common-1.6.1.901-1.fc11

How reproducible:
Always

Steps to Reproduce:
1.Install Fedora 11.  Choose keyboard layout "dvorak"
2.Reboot and attempt to log in via X.  Notice that you always get "unable to authenticate user".
3.Press C-A-F2 and log in.
4.Finally get smart, press C-A-F1 and press "other" for the username.  Go to the text box, and type a few letters.  Notice that the letters in the text box do not match the letters on the dvorak keyboard.
  
Actual results:
X forgets the keyboard layout chosen during the installation.

Expected results:
X remembers the chosen keyboard layout, as in previous Fedora releases.

Additional info:
Comment 1 Rich Megginson 2009-06-08 12:37:58 EDT
Reassigning to X keyboard bugs - not sure where this should go - definitely not 389-admin-console
Comment 2 Matěj Cepl 2009-11-05 13:31:02 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Jay Fenlason 2009-11-19 10:27:32 EST
The addition of the keyboard layout selector would fix this problem if it actually worked.  I'm closing this bug as a duplicate of that one.

*** This bug has been marked as a duplicate of bug 537478 ***

Note You need to log in before you can comment on or make changes to this bug.